Akeneo\Tool\Bundle\ApiBundle\Entity\AccessToken:
    type: entity
    table: pim_api_access_token
    fields:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    manyToOne:
        user:
            targetEntity: Akeneo\UserManagement\Component\Model\UserInterface
            joinColumns:
                user:
                    referencedColumnName: id
                    onDelete: CASCADE
        client:
            targetEntity: Akeneo\Tool\Bundle\ApiBundle\Entity\Client
            joinColumns:
                client:
                    referencedColumnName: id
                    nullable: true
                    onDelete: CASCADE
